function erg = spektralnorm( A )
%SPEKTRALNORM Berechnet die Spektralnorm einer gegebenen Matrix A

%Vektor mit den Eigenwerten von A
EV = eig(A*A');

%Speichere Anzahl Eigenwerte in Variable zeilen
[zeilen spalten] = size(EV);

%Bestimme groessten Eigenwert
erg = EV(1,1);
for i=1:zeilen
        if (EV(i,1) > erg)
            erg = EV(i,1);
        end
end

%Wurzel ziehen und fertig!
erg = sqrt(erg);
